<app-header></app-header>
<div class="main-content">
  <div fxLayout="row">

    <div fxFlex="100%" class="settingsRow">

      <h1> Account Settings </h1>

      <md-card>
        <!--Header-->
        <div class="header">
          <div fxFlex="80%"> <span id="profile">Profile Details</span></div>
          <div fxFlex="20%" id="role">
            <span> {{getRole(user.role)}}</span>
          </div>
        </div>

        <!--Content-->
        <md-card-content>

          <form [formGroup]="settingsForm" (ngSubmit)="updateAccountSettings()" novalidate autocomplete="off">
            <br />
            <!--User information shared component-->
            <app-shared-profile [(user)]='accountSettings' (picChanged)="updateUserVersion()" [showRoleOptions]='0' (isValid)='checkValid($event)'
              (active)='disabled=$event' *ngIf="!loadingData">Loading...
            </app-shared-profile>
            <br />

            <!--Here comes the Security with the two password fields-->
            <!--Security header-->
            <div id="security">
              <span> Security </span>
            </div>

            <!--First Password-->
            <div fxLayout="row">
              <div fxFlex="100%">
                <div fxFlex="23%">
                  <md-input-container>
                    <input mdInput type="password" formControlName="pwd1" placeholder="Password" /> <br />
                    <md-error>
                      <span *ngIf="settingsForm.get('pwd1').touched && settingsForm.get('pwd1').hasError('minlength')">
                        Minimum of 6 characters
                      </span>
                      <span *ngIf="settingsForm.get('pwd1').hasError('maxlength') && (settingsForm.get('pwd1').touched || settingsForm.get('pwd1').dirty)">
                        Maximum of 25 characters
                      </span>
                    </md-error>
                  </md-input-container>
                  <span id="subMessage"><br> Must be at least 6 characters <br> Enter a password here only if you want to change it</span>
                </div>

                <!--Second Password-->
                <div fxFlex="30%">
                  <md-input-container>
                    <input mdInput type="password" formControlName="pwd2" placeholder="Confirm Password" />

                    <md-error>
                      <span *ngIf="settingsForm.get('pwd2').touched && settingsForm.get('pwd2').hasError('minlength')">
                         Minimum of 6 characters
                      </span>
                      <span *ngIf="settingsForm.get('pwd2').hasError('maxlength') && (settingsForm.get('pwd2').touched || settingsForm.get('pwd2').dirty)">
                        Maximum of 25 characters
                      </span>
                      <!--<span *ngIf="settingsForm.get('pwd1').value !== settingsForm.get('pwd2').value ">
                        Passwords are not the same
                      </span>-->

                    </md-error>
                  </md-input-container>
                </div>

                <div fxFlex="47%" class="buttons"><br/>
                  <button md-button color="primary" class="button-strong-text" [disabled]="!isProfileValid || settingsForm.invalid || (!hasProfileChanged && settingsForm.pristine)
                    || settingsForm.get('pwd2').value !== settingsForm.get('pwd1').value || disabled">Save Changes</button>
                  <button md-button color="accent" class="button-strong-text" (click)="home()">Cancel </button>
                </div>


              </div>
            </div>
            <md-spinner *ngIf="showSpinner" color="warn" class="small-md-spinner"></md-spinner>
          </form>

        </md-card-content>
      </md-card>
    </div>
  </div>
</div>
<app-footer></app-footer>
